Bug 595064 - [abrt] crash in liferea-1:1.6.2-2.fc12: raise: Process /usr/bin/liferea was killed by signal 6 (SIGABRT)
[abrt] crash in liferea-1:1.6.2-2.fc12: raise: Process /usr/bin/liferea was k...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: liferea (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
abrt_hash:63e2003c04cbda9796c366de9d8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-23 04:11 EDT by Mustafa Mehmed
Modified: 2010-10-13 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-13 12:42:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.21 KB, text/plain)
2010-05-23 04:11 EDT, Mustafa Mehmed
no flags Details

  None (edit)
Description Mustafa Mehmed 2010-05-23 04:11:45 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: liferea
component: liferea
crash_function: raise
executable: /usr/bin/liferea
global_uuid: 63e2003c04cbda9796c366de9d83894797e424e9
kernel: 2.6.32.12-115.fc12.x86_64
package: liferea-1:1.6.2-2.fc12
rating: 4
reason: Process /usr/bin/liferea was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. press "next unread" item button
2. crash
3.
Comment 1 Mustafa Mehmed 2010-05-23 04:11:50 EDT
Created attachment 415928 [details]
File: backtrace
Comment 2 Mustafa Mehmed 2010-05-23 18:18:31 EDT
Package: liferea-1:1.6.2-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. press "next unread" item button
2. crash
3.
Comment 3 Mustafa Mehmed 2010-05-26 19:49:56 EDT
More info: I turned off "enable browser plugins" after seeing the following debug  info:-

~/Desktop)$ liferea
set zoom: 1.00
** (liferea:5917): DEBUG: NP_Initialize
** (liferea:5917): DEBUG: NP_Initialize succeeded
** (liferea:5917): DEBUG: NP_Initialize
** (liferea:5917): DEBUG: NP_Initialize succeeded
** (liferea:5917): DEBUG: NP_Initialize
** (liferea:5917): DEBUG: NP_Initialize succeeded
** (liferea:5917): DEBUG: NP_Initialize
** (liferea:5917): DEBUG: NP_Initialize succeeded
/builddir/build/BUILD/icedtea6-1.8/plugin/icedteanp/IcedTeaNPPlugin.cc:1508: thread 0x1566060: Error: Failed to spawn applet viewer: Failed to execute child process "/usr/lib64/mozilla/plugins/../../bin/java" (No such file or directory)
** (liferea:5917): DEBUG: NP_Initialize
** (liferea:5917): DEBUG: NP_Initialize succeeded
** (liferea:5917): DEBUG: NP_Initialize
** (liferea:5917): DEBUG: NP_Initialize succeeded
** (liferea:5917): DEBUG: NP_Initialize
** (liferea:5917): DEBUG: NP_Initialize succeeded
** (liferea:5917): DEBUG: NP_Shutdown
** (liferea:5917): DEBUG: NP_Initialize
** (liferea:5917): DEBUG: NP_Initialize succeeded
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:3160):invoke_NP_Initialize: assertion failed: (rpc_method_invoke_possible(g_rpc_connection))
/builddir/build/BUILD/icedtea6-1.8/plugin/icedteanp/IcedTeaNPPlugin.cc:1508: thread 0x1566060: Error: Failed to spawn applet viewer: Failed to execute child process "/usr/lib64/mozilla/plugins/../../bin/java" (No such file or directory)

Liferea no longer crashes.
Comment 4 Steven M. Parrish 2010-07-13 18:26:57 EDT
Liferea 1.6.4 has been pushed to stable.  Please upgrade to this latest version and see if it corrects this issue.  If there is no update to this bug within 30 days will close as WORKSFORME.

Thanks
Comment 5 Steven M. Parrish 2010-10-13 12:42:11 EDT
Liferea 1.6.5 has been submitted for testing on F12/F13/F14.  Closing this bug for now.  Please install the new update and if the problem returns feel free to reopen this report with additional information

Note You need to log in before you can comment on or make changes to this bug.